Subject: bug#39824: 26.2; timers sometimes stop working when coming back from sleep

From: ndame <[email-masked]>
Date: Fri, 6 Mar 2020 16:30:24 +0000 (GMT)

> When that happens next time, please show the exact value of the
> relevant timer as a Lisp data structure. (You should be able to find
> it in the variable timer-list.) Also, show the value returned by the
> function current-time at that point.

Ok, will do if it happens again. I don't know what triggers it, because
it happens only occasionally.

The strange thing is it would be a logical explanation that emacs substracts
the new time from the timer and it makes it go negative (though I haven't 
checked how it is implemented), but usually only one of the timers go 
negative, not all of them, so the bug does not affect all timers when it 
happens.